{% if fieldset.name %}
  <div class="row">
    <div class="col-sm-6 col-xs-6 collapse-fieldset">
      <h4>{{ fieldset.name }}</h4>
    </div>
    <div class="col-sm-6 col-xs-6 text-right collapse-fieldset">
      {% if fieldset.classes == "collapse" %}
        <span class="fieldset_toggle fa fa-eye"></span>
      {% else %}
        <span class="fieldset_toggle fa fa-eye-slash" title="show/hide"></span>
      {% endif %}
    </div>
  </div>
{% endif %}

{% if fieldset.description %}
  <div class="description">{{ fieldset.description|safe }}</div>
{% endif %}

<div class="div_fieldset {{ fieldset.classes }}">
  {% for line in fieldset %}
    <div class="form-row{% if line.fields|length_is:'1' and line.errors %} errors{% endif %}{% if not line.has_visible_field %} hidden{% endif %}{% for field in line %}{% if field.field.name %} field-{{ field.field.name }}{% endif %}{% endfor %}">
      {% for field in line %}
        <div{% if not line.fields|length_is:'1' %} class="form-group field-box{% if field.field.name %} field-{{ field.field.name }}{% endif %}{% if not field.is_readonly and field.errors %} errors{% endif %}{% if field.field.is_hidden %} hidden{% endif %}"{% elif field.is_checkbox %} class="form-group checkbox-row"{% else %} class="form-group"{% endif %}>
          {% if not line.fields|length_is:'1' and not field.is_readonly %}{{ field.errors }}{% endif %}
          {% if field.is_checkbox %}
            <label for="{{ field.field.id_for_label }}" class="control-label col-md-3 col-sm-3 col-xs-12">{{ field.field.label }}:</label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              {{ field.field }}
            </div>
          {% else %}
            <label for="{{ field.field.id_for_label }}" class="control-label col-md-3 col-sm-3 col-xs-12">{{ field.field.label }}:</label>
            <div class="col-md-6 col-sm-6 col-xs-12">
              {% if field.is_readonly %}
                <div class="readonly">{{ field.contents }}</div>
              {% else %}
                {{ field.field }}
              {% endif %}
            </div>
          {% endif %}
          
          {% if line.fields|length_is:'1' %}
            <div class="col-md-offset-3 col-md-6 col-sm-offset-3 col-sm-6 col-xs-12">
              {{ line.errors }}
            </div>
          {% endif %}
          
          {% if field.field.help_text %}
            <div class="col-md-offset-3 col-md-6 col-sm-offset-3 col-sm-6 col-xs-12">
              <div class="help">{{ field.field.help_text|safe }}</div>
            </div>
          {% endif %}

        </div>
      {% endfor %}
    </div>
  {% endfor %}
</div>